networking-l2gw (1:20.0.0+git2025011511.c3e7ebc-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies

 -- Myles <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:11:59 +0000

networking-l2gw (1:20.0.0+git2024030809.c556d24d-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:08:20 +0000

networking-l2gw (1:20.0.0+git2024020808.efab5e7a-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Feb 2024 09:49:00 +0000

networking-l2gw (1:20.0.0-0ubuntu1) mantic; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 10:22:35 -0400

networking-l2gw (1:19.0.0+git2023092015.20542bf0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Sep 2023 15:58:48 -0400

networking-l2gw (1:18.0.0+git2022100517.fbebe30-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:21:21 -0400

networking-l2gw (1:18.0.0+git2022091215.ebac466-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 15:21:34 -0400

networking-l2gw (1:18.0.0+git2021120909.6872c3b-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 09:34:02 -0500

networking-l2gw (1:18.0.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Track 17.x series.
  * d/watch: Track 18.x series and scope to tarballs.opendev.org/x.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:44:58 -0400

networking-l2gw (1:16.0.1~git2020100916.37f190c-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 16.x series and get tarballs from opendev.org.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:28:32 -0400

networking-l2gw (1:16.0.1~git2020070614.1d17654-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 14:01:13 -0400

networking-l2gw (1:16.0.0~git2020051415.30f4209-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 15:29:10 -0400

networking-l2gw (1:16.0.0~b3~git2020032509.d57ae1a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:11:34 +0000

networking-l2gw (1:16.0.0~b1~git2019121711.f16915d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 17 Dec 2019 12:11:59 +0100

networking-l2gw (1:15.0.0-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 15.x series.
  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 14:50:39 +0100

networking-l2gw (1:15.0.0~b1~git2019061309.1d9d37a-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 13:58:24 +0100

networking-l2gw (1:14.0.0-0ubuntu1) disco; urgency=medium

  * d/watch: Track 14.x series.
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:43:43 +0100

networking-l2gw (1:14.0.0~b1~git2019013126.259d558-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:34:10 +0000

networking-l2gw (1:14.0.0~b1~git2019013016.259d558-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 16:09:29 -0500

networking-l2gw (1:14.0.0~b1~git2018111639.e124082-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:06:20 +0000

networking-l2gw (1:13.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Run tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 08:05:45 -0400

networking-l2gw (1:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/p/fix-test.patch: Fix failing test to adhere to OVS 2.10.
  * d/rules: Add python3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 11:36:31 -0400

networking-l2gw (1:13.0.0~a1~git2018081633.58c500f-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Aug 2018 10:32:31 +0100

networking-l2gw (1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * Add Python 3 support:
    - d/control: Add (Build-)Depends for py3.
    - d/control: Add python3- and -common packages.
    - d/rules: Use pkgos-dh_auto_install and enable python3 dh.
    - d/networking-l2gateway-common: Install all configuration files.
    - d/python{3}-networking-l2gw.{postrm,postinst,prerm}: Manage
      agent binary using alternatives.
    - d/control: Deal with move of binaries and configuration files.
  * d/control: Update Vcs-* fields.
  * d/rules: Switch back to using stestr directory.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Jun 2018 11:21:57 +0100

networking-l2gw (1:12.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Feb 2018 11:45:52 -0500

networking-l2gw (1:12.0.0~git20180223.32631dc1-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New upstream snapshot.
  * d/p/*: Drop, no longer needed.

  [ Corey Bryant ]
  * New upstream version.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Restore OSLO_PACKAGE_VERSION that was changed on switch to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 23 Feb 2018 08:39:13 -0500

networking-l2gw (1:11.0.0-0ubuntu3) bionic; urgency=medium

  * d/rules, d/control: Switch to using stestr to run tests.
  * d/p/replace-deprecated-self.is_agent_down.patch: Cherry-pick patch from
    upstream master to replace deprecated self.is_agent_down.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Dec 2017 18:03:13 -0500

networking-l2gw (1:11.0.0-0ubuntu2) bionic; urgency=medium

  * d/gbp.conf: Switch to master branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Dec 2017 17:00:11 -0500

networking-l2gw (1:11.0.0-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New upstream release for OpenStack Pike (LP: #1737040).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Dec 2017 09:55:32 -0500

networking-l2gw (1:10.1.0~a2~git20170831.a8ae0e3-0ubuntu1) artful; urgency=medium

  * New upstream snapshot for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Thu, 31 Aug 2017 09:30:42 +0100

networking-l2gw (1:10.1.0~a2~git20170503.990c3ef-0ubuntu1) artful; urgency=medium

  * New upstream snapshot for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 03 May 2017 12:06:47 -0400

networking-l2gw (1:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.
  * d/watch: Update to use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Tue, 28 Mar 2017 05:18:53 +0100

networking-l2gw (1:1.0.0+git20170315.37fe94-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/p/0001-Include-alembic-migrations-in-module.patch: Dropped. Patch has
    landed upstream.

  [ James Page ]
  * New upstream snapshot for OpenStack Ocata.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Mar 2017 09:54:37 +0000

networking-l2gw (1:1.0.0+git20160926.29cb4fe-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot for OpenStack Newton.
  * d/p/0001-Include-alembic-migrations-in-module.patch: Cherry pick fix to
    ensure that alembic migrations are included in the package (LP: #1627656).

 -- James Page <james.page@ubuntu.com>  Mon, 26 Sep 2016 17:12:13 +0100

networking-l2gw (1:1.0.0+git20160906.5591b7c-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ James Page ]
  * New upstream snapshot for OpenStack Newton (LP: #1610614).
  * Align (Build-)Depends with upstream.
  * d/rules,control: Switch to using os-testr for unit test execution.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Sep 2016 15:01:48 +0100

networking-l2gw (2015.1.1+git20151117.4ec821f-2) unstable; urgency=medium

  * Added myself as uploader.
  * Manually rm /etc/init/neutron-l2gateway-agent.override in a postrm. This
    fixes unowned files after purge (Closes: #810705).
  * VCS URLs using HTTPS.
  * Added a watch file.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 16:59:01 +0000

networking-l2gw (2015.1.1+git20151117.4ec821f-1) unstable; urgency=medium

  * Initial release (Closes: #805367).

 -- James Page <james.page@ubuntu.com>  Tue, 17 Nov 2015 12:04:44 +0000
